org.eclipse.eef.ide.ui.api.widgets

## Interface IEEFLifecycleManager

All Known Implementing Classes:
  AbstractEEFLifecycleManager, AbstractEEFWidgetLifecycleManager, EEFButtonLifecycleManager, EEFCheckboxLifecycleManager, EEFContainerLifecycleManager, EEFGroupLifecycleManager, EEFHyperlinkLifecycleManager, EEFLabelLifecycleManager, EEFListLifecycleManager, EEFRadioLifecycleManager, EEFSectionLifecycleManager, EEFSelectLifecycleManager, EEFTextLifecycleManager

    public interface IEEFLifecycleManager

Implementations of this interface will be used to handle the lifecycle of the widgets and controllers created for a description.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `aboutToBeHidden()` Prepares for the widgets to be hidden.
`void` `aboutToBeShown()` Prepares for the widgets to be shown.
`void` `createControl(org.eclipse.swt.widgets.Composite parent, IEEFFormContainer formContainer)` Creates the controls for the description.
`void` `dispose()` Disposes the content created.
`void` `refresh()` Refresh the widgets.

### Method Detail

#### createControl

    void createControl(org.eclipse.swt.widgets.Composite parent,
                       IEEFFormContainer formContainer)

Creates the controls for the description.

Parameters:
  `parent` - The composite parent
  `formContainer` - The form container

#### aboutToBeShown

    void aboutToBeShown()

Prepares for the widgets to be shown.

#### refresh

    void refresh()

Refresh the widgets.

#### aboutToBeHidden

    void aboutToBeHidden()

Prepares for the widgets to be hidden.

#### dispose

    void dispose()

Disposes the content created. The widgets created under the composite will be disposed by SWT already.